#include "Arduino.h"
#include "SoftwareSerial.h"
#include "DFRobotDFPlayerMini.h"

//Inicia a serial por software nos pinos 10 e 11
SoftwareSerial mySoftwareSerial(10, 11); // RX, TX

DFRobotDFPlayerMini myDFPlayer;

char buf;
int pausa = 0;
int equalizacao = 0;

//botões
int buttonStateA3;
int buttonStateA4;
int buttonStateA5;
int button1 = 0;
int button2 = 0;
int button3 = 0;

void setup()
{

  //Definicoes iniciais
  mySoftwareSerial.begin(9600);
  myDFPlayer.begin(mySoftwareSerial); //inicia módulo MP3, essa linha ficava dentro da Serial
  
  myDFPlayer.setTimeOut(500); //Timeout serial 500ms
  myDFPlayer.volume(30); 
  myDFPlayer.EQ(0); //Equalizacao normal

  digitalWrite(A3, HIGH); 
  digitalWrite(A5, HIGH); 
  digitalWrite(A5, HIGH); 

}

void loop()
{

  if (analogRead(A5) > 1021) button1 = 0;                                           
  else if (analogRead(A5) > 505 && analogRead(A5) < 514) button1 = 1;                     
  else if (analogRead(A5) > 678 && analogRead(A5) < 684) button1 = 2;                
  else if (analogRead(A5) > 764 && analogRead(A5) < 770) button1 = 3;                
  else if (analogRead(A5) > 817 && analogRead(A5) < 822) button1 = 4;             
  else if (analogRead(A5) > 851 && analogRead(A5) < 856) button1 = 5; 
  else if (analogRead(A5) > 875 && analogRead(A5) < 880) button1 = 6;
  else if (analogRead(A5) > 894 && analogRead(A5) < 896) button1 = 7;
  else button1 = 0;

  if (analogRead(A4) > 1021) button2 = 0;                                             
  else if (analogRead(A4) > 505 && analogRead(A4) < 514) button2 = 8;                     
  else if (analogRead(A4) > 678 && analogRead(A4) < 684) button2 = 9;                
  else if (analogRead(A4) > 764 && analogRead(A4) < 770) button2 = 10;                
  else if (analogRead(A4) > 817 && analogRead(A4) < 822) button2 = 11;             
  else if (analogRead(A4) > 851 && analogRead(A4) < 856) button2 = 12; 
  else if (analogRead(A4) > 875 && analogRead(A4) < 880) button2 = 13;
  else if (analogRead(A4) > 894 && analogRead(A4) < 896) button2 = 14;  
  else button2 = 0;

  if (analogRead(A3) > 1021) button3 = 0;                                             
  else if (analogRead(A3) > 505 && analogRead(A3) < 514) button3 = 15;
  else if (analogRead(A3) > 678 && analogRead(A3) < 684) button3 = 16;                
  else if (analogRead(A3) > 764 && analogRead(A3) < 770) button3 = 17;                
  else if (analogRead(A3) > 817 && analogRead(A3) < 822) button3 = 18;             
  else if (analogRead(A3) > 851 && analogRead(A3) < 856) button3 = 19; 
  else button3 = 0;  

  if (button1 == 1){

    myDFPlayer.play(1);  
    delay(500);
  }
  
  else if (button1 == 2){

    myDFPlayer.play(2);  
    delay(500);
  }

  else if (button1 == 3){

    myDFPlayer.play(3);  
    delay(500);
  }

  else if (button1 == 4){

    myDFPlayer.play(4);  
    delay(500);
  }
  
  else if (button1 == 5){

    myDFPlayer.play(5);  
    delay(500);
  }      

  else if (button1 == 6){

    myDFPlayer.play(6);  
    delay(500);
  }

  else if (button1 == 7){

    myDFPlayer.play(7);
    delay(500);
  }
  
  else if (button2 == 8){

    myDFPlayer.play(8);
    delay(500);
  }

  else if (button2 == 9){

    myDFPlayer.play(9);
    delay(500);
  }
  
  else if (button2 == 10){

    myDFPlayer.play(10);
    delay(500);
  }

  else if (button2 == 11){

    myDFPlayer.play(11);
    delay(500);
  }  

  else if (button2 == 12){

    myDFPlayer.play(12);
    delay(500);
  }

  else if (button2 == 13){

    myDFPlayer.play(13);
    delay(500);
  }  

  else if (button2 == 14){

    myDFPlayer.play(14);
    delay(500);
  }

  else if (button3 == 15){

    myDFPlayer.play(15);
    delay(500);
  }  

 else if (button3 == 16){

    myDFPlayer.play(16);
    delay(500);
  }  

 else if (button3 == 17){

    myDFPlayer.play(17);
    delay(500);
  }  

 else if (button3 == 18){

    myDFPlayer.play(18);
    delay(500);
  }  

 else if (button3 == 19){

    myDFPlayer.play(19);
    delay(500);
  }          
}
